define(function(){
	return {
		instrumentDescriptor: function(){
			var piano_1 = {};
			
			piano_1.polyphony = 10;
			
			piano_1.articDynamMap = [
				{ "velocity": [0.00000, 1.00000], "pedal": 0, "articDynamStr": "mf_ped" },
				{ "velocity": [0.00000, 1.00000], "pedal": 0, "articDynamStr": "mf_ped_s" },
				{ "velocity": [0.00000, 1.00000], "pedal": 1, "articDynamStr": "mf_ped" },
				{ "velocity": [0.00000, 1.00000], "pedal": 1, "articDynamStr": "mf_ped_s" },
			];
			
			piano_1.samples = {
				"021_mf_ped": "./piano_1/021_mf_ped.wav",
				"021_mf_ped_s": "./piano_1/021_mf_ped_s.wav",
				"022_mf_ped": "./piano_1/022_mf_ped.wav",
				"022_mf_ped_s": "./piano_1/022_mf_ped_s.wav",
				"023_mf_ped": "./piano_1/023_mf_ped.wav",
				"023_mf_ped_s": "./piano_1/023_mf_ped_s.wav",
				"024_mf_ped": "./piano_1/024_mf_ped.wav",
				"024_mf_ped_s": "./piano_1/024_mf_ped_s.wav",
				"025_mf_ped": "./piano_1/025_mf_ped.wav",
				"025_mf_ped_s": "./piano_1/025_mf_ped_s.wav",
				"026_mf_ped": "./piano_1/026_mf_ped.wav",
				"026_mf_ped_s": "./piano_1/026_mf_ped_s.wav",
				"027_mf_ped": "./piano_1/027_mf_ped.wav",
				"027_mf_ped_s": "./piano_1/027_mf_ped_s.wav",
				"028_mf_ped": "./piano_1/028_mf_ped.wav",
				"028_mf_ped_s": "./piano_1/028_mf_ped_s.wav",
				"029_mf_ped": "./piano_1/029_mf_ped.wav",
				"029_mf_ped_s": "./piano_1/029_mf_ped_s.wav",
				"030_mf_ped": "./piano_1/030_mf_ped.wav",
				"030_mf_ped_s": "./piano_1/030_mf_ped_s.wav",
				"031_mf_ped": "./piano_1/031_mf_ped.wav",
				"031_mf_ped_s": "./piano_1/031_mf_ped_s.wav",
				"032_mf_ped": "./piano_1/032_mf_ped.wav",
				"032_mf_ped_s": "./piano_1/032_mf_ped_s.wav",
				"033_mf_ped": "./piano_1/033_mf_ped.wav",
				"033_mf_ped_s": "./piano_1/033_mf_ped_s.wav",
				"034_mf_ped": "./piano_1/034_mf_ped.wav",
				"034_mf_ped_s": "./piano_1/034_mf_ped_s.wav",
				"035_mf_ped": "./piano_1/035_mf_ped.wav",
				"035_mf_ped_s": "./piano_1/035_mf_ped_s.wav",
				"036_mf_ped": "./piano_1/036_mf_ped.wav",
				"036_mf_ped_s": "./piano_1/036_mf_ped_s.wav",
				"037_mf_ped": "./piano_1/037_mf_ped.wav",
				"037_mf_ped_s": "./piano_1/037_mf_ped_s.wav",
				"038_mf_ped": "./piano_1/038_mf_ped.wav",
				"038_mf_ped_s": "./piano_1/038_mf_ped_s.wav",
				"039_mf_ped": "./piano_1/039_mf_ped.wav",
				"039_mf_ped_s": "./piano_1/039_mf_ped_s.wav",
				"040_mf_ped": "./piano_1/040_mf_ped.wav",
				"040_mf_ped_s": "./piano_1/040_mf_ped_s.wav",
				"041_mf_ped": "./piano_1/041_mf_ped.wav",
				"041_mf_ped_s": "./piano_1/041_mf_ped_s.wav",
				"042_mf_ped": "./piano_1/042_mf_ped.wav",
				"042_mf_ped_s": "./piano_1/042_mf_ped_s.wav",
				"043_mf_ped": "./piano_1/043_mf_ped.wav",
				"043_mf_ped_s": "./piano_1/043_mf_ped_s.wav",
				"044_mf_ped": "./piano_1/044_mf_ped.wav",
				"044_mf_ped_s": "./piano_1/044_mf_ped_s.wav",
				"045_mf_ped": "./piano_1/045_mf_ped.wav",
				"045_mf_ped_s": "./piano_1/045_mf_ped_s.wav",
				"046_mf_ped": "./piano_1/046_mf_ped.wav",
				"046_mf_ped_s": "./piano_1/046_mf_ped_s.wav",
				"047_mf_ped": "./piano_1/047_mf_ped.wav",
				"047_mf_ped_s": "./piano_1/047_mf_ped_s.wav",
				"048_mf_ped": "./piano_1/048_mf_ped.wav",
				"048_mf_ped_s": "./piano_1/048_mf_ped_s.wav",
				"049_mf_ped": "./piano_1/049_mf_ped.wav",
				"049_mf_ped_s": "./piano_1/049_mf_ped_s.wav",
				"050_mf_ped": "./piano_1/050_mf_ped.wav",
				"050_mf_ped_s": "./piano_1/050_mf_ped_s.wav",
				"051_mf_ped": "./piano_1/051_mf_ped.wav",
				"051_mf_ped_s": "./piano_1/051_mf_ped_s.wav",
				"052_mf_ped": "./piano_1/052_mf_ped.wav",
				"052_mf_ped_s": "./piano_1/052_mf_ped_s.wav",
				"053_mf_ped": "./piano_1/053_mf_ped.wav",
				"053_mf_ped_s": "./piano_1/053_mf_ped_s.wav",
				"054_mf_ped": "./piano_1/054_mf_ped.wav",
				"054_mf_ped_s": "./piano_1/054_mf_ped_s.wav",
				"055_mf_ped": "./piano_1/055_mf_ped.wav",
				"055_mf_ped_s": "./piano_1/055_mf_ped_s.wav",
				"056_mf_ped": "./piano_1/056_mf_ped.wav",
				"056_mf_ped_s": "./piano_1/056_mf_ped_s.wav",
				"057_mf_ped": "./piano_1/057_mf_ped.wav",
				"057_mf_ped_s": "./piano_1/057_mf_ped_s.wav",
				"058_mf_ped": "./piano_1/058_mf_ped.wav",
				"058_mf_ped_s": "./piano_1/058_mf_ped_s.wav",
				"059_mf_ped": "./piano_1/059_mf_ped.wav",
				"059_mf_ped_s": "./piano_1/059_mf_ped_s.wav",
				"060_mf_ped": "./piano_1/060_mf_ped.wav",
				"060_mf_ped_s": "./piano_1/060_mf_ped_s.wav",
				"061_mf_ped": "./piano_1/061_mf_ped.wav",
				"061_mf_ped_s": "./piano_1/061_mf_ped_s.wav",
				"062_mf_ped": "./piano_1/062_mf_ped.wav",
				"062_mf_ped_s": "./piano_1/062_mf_ped_s.wav",
				"063_mf_ped": "./piano_1/063_mf_ped.wav",
				"063_mf_ped_s": "./piano_1/063_mf_ped_s.wav",
				"064_mf_ped": "./piano_1/064_mf_ped.wav",
				"064_mf_ped_s": "./piano_1/064_mf_ped_s.wav",
				"065_mf_ped": "./piano_1/065_mf_ped.wav",
				"065_mf_ped_s": "./piano_1/065_mf_ped_s.wav",
				"066_mf_ped": "./piano_1/066_mf_ped.wav",
				"066_mf_ped_s": "./piano_1/066_mf_ped_s.wav",
				"067_mf_ped": "./piano_1/067_mf_ped.wav",
				"067_mf_ped_s": "./piano_1/067_mf_ped_s.wav",
				"068_mf_ped": "./piano_1/068_mf_ped.wav",
				"068_mf_ped_s": "./piano_1/068_mf_ped_s.wav",
				"069_mf_ped": "./piano_1/069_mf_ped.wav",
				"069_mf_ped_s": "./piano_1/069_mf_ped_s.wav",
				"070_mf_ped": "./piano_1/070_mf_ped.wav",
				"070_mf_ped_s": "./piano_1/070_mf_ped_s.wav",
				"071_mf_ped": "./piano_1/071_mf_ped.wav",
				"071_mf_ped_s": "./piano_1/071_mf_ped_s.wav",
				"072_mf_ped": "./piano_1/072_mf_ped.wav",
				"072_mf_ped_s": "./piano_1/072_mf_ped_s.wav",
				"073_mf_ped": "./piano_1/073_mf_ped.wav",
				"073_mf_ped_s": "./piano_1/073_mf_ped_s.wav",
				"074_mf_ped": "./piano_1/074_mf_ped.wav",
				"074_mf_ped_s": "./piano_1/074_mf_ped_s.wav",
				"075_mf_ped": "./piano_1/075_mf_ped.wav",
				"075_mf_ped_s": "./piano_1/075_mf_ped_s.wav",
				"076_mf_ped": "./piano_1/076_mf_ped.wav",
				"076_mf_ped_s": "./piano_1/076_mf_ped_s.wav",
				"077_mf_ped": "./piano_1/077_mf_ped.wav",
				"077_mf_ped_s": "./piano_1/077_mf_ped_s.wav",
				"078_mf_ped": "./piano_1/078_mf_ped.wav",
				"078_mf_ped_s": "./piano_1/078_mf_ped_s.wav",
				"079_mf_ped": "./piano_1/079_mf_ped.wav",
				"079_mf_ped_s": "./piano_1/079_mf_ped_s.wav",
				"080_mf_ped": "./piano_1/080_mf_ped.wav",
				"080_mf_ped_s": "./piano_1/080_mf_ped_s.wav",
				"081_mf_ped": "./piano_1/081_mf_ped.wav",
				"081_mf_ped_s": "./piano_1/081_mf_ped_s.wav",
				"082_mf_ped": "./piano_1/082_mf_ped.wav",
				"082_mf_ped_s": "./piano_1/082_mf_ped_s.wav",
				"083_mf_ped": "./piano_1/083_mf_ped.wav",
				"083_mf_ped_s": "./piano_1/083_mf_ped_s.wav",
				"084_mf_ped": "./piano_1/084_mf_ped.wav",
				"084_mf_ped_s": "./piano_1/084_mf_ped_s.wav",
				"085_mf_ped": "./piano_1/085_mf_ped.wav",
				"085_mf_ped_s": "./piano_1/085_mf_ped_s.wav",
				"086_mf_ped": "./piano_1/086_mf_ped.wav",
				"086_mf_ped_s": "./piano_1/086_mf_ped_s.wav",
				"087_mf_ped": "./piano_1/087_mf_ped.wav",
				"087_mf_ped_s": "./piano_1/087_mf_ped_s.wav",
				"088_mf_ped": "./piano_1/088_mf_ped.wav",
				"088_mf_ped_s": "./piano_1/088_mf_ped_s.wav",
				"089_mf_ped": "./piano_1/089_mf_ped.wav",
				"089_mf_ped_s": "./piano_1/089_mf_ped_s.wav",
				"090_mf_ped": "./piano_1/090_mf_ped.wav",
				"090_mf_ped_s": "./piano_1/090_mf_ped_s.wav",
				"091_mf_ped": "./piano_1/091_mf_ped.wav",
				"091_mf_ped_s": "./piano_1/091_mf_ped_s.wav",
				"092_mf_ped": "./piano_1/092_mf_ped.wav",
				"092_mf_ped_s": "./piano_1/092_mf_ped_s.wav",
				"093_mf_ped": "./piano_1/093_mf_ped.wav",
				"093_mf_ped_s": "./piano_1/093_mf_ped_s.wav",
				"094_mf_ped": "./piano_1/094_mf_ped.wav",
				"094_mf_ped_s": "./piano_1/094_mf_ped_s.wav",
				"095_mf_ped": "./piano_1/095_mf_ped.wav",
				"095_mf_ped_s": "./piano_1/095_mf_ped_s.wav",
				"096_mf_ped": "./piano_1/096_mf_ped.wav",
				"096_mf_ped_s": "./piano_1/096_mf_ped_s.wav",
				"097_mf_ped": "./piano_1/097_mf_ped.wav",
				"097_mf_ped_s": "./piano_1/097_mf_ped_s.wav",
				"098_mf_ped": "./piano_1/098_mf_ped.wav",
				"098_mf_ped_s": "./piano_1/098_mf_ped_s.wav",
				"099_mf_ped": "./piano_1/099_mf_ped.wav",
				"099_mf_ped_s": "./piano_1/099_mf_ped_s.wav",
				"100_mf_ped": "./piano_1/100_mf_ped.wav",
				"100_mf_ped_s": "./piano_1/100_mf_ped_s.wav",
				"101_mf_ped": "./piano_1/101_mf_ped.wav",
				"101_mf_ped_s": "./piano_1/101_mf_ped_s.wav",
				"102_mf_ped": "./piano_1/102_mf_ped.wav",
				"102_mf_ped_s": "./piano_1/102_mf_ped_s.wav",
				"103_mf_ped": "./piano_1/103_mf_ped.wav",
				"103_mf_ped_s": "./piano_1/103_mf_ped_s.wav",
				"104_mf_ped": "./piano_1/104_mf_ped.wav",
				"104_mf_ped_s": "./piano_1/104_mf_ped_s.wav",
				"105_mf_ped": "./piano_1/105_mf_ped.wav",
				"105_mf_ped_s": "./piano_1/105_mf_ped_s.wav",
				"106_mf_ped": "./piano_1/106_mf_ped.wav",
				"106_mf_ped_s": "./piano_1/106_mf_ped_s.wav",
				"107_mf_ped": "./piano_1/107_mf_ped.wav",
				"107_mf_ped_s": "./piano_1/107_mf_ped_s.wav",
				"108_mf_ped": "./piano_1/108_mf_ped.wav",
				"108_mf_ped_s": "./piano_1/108_mf_ped_s.wav",
			};
			
			piano_1.volEnvEtc = {
				volume: -10,
				envelope: {
					release: 0.2
				}
			};
			
			return piano_1;
		}
	};
	});
